texmaker(1)

NAME
texmaker — A Cross-Platform LaTeX Editor

SYNOPSIS
texmaker [-master] [-line xx] [-insert foo] [-n] [-dpiscale x] [file ]

DESCRIPTION
texmaker is a clean, highly configurable LaTeX editor with good hot key support and extensive Latex documentation. Texmaker integrates many tools needed to develop documents with LaTeX, in just one application. It has some nice featuressuch as syntax highlighting, insertion of 370 mathematical symbols with only one click, a structure view of the document for easier navigation.

-master
    With this option, the document will be automatically defined as a "master" document.

-line xx
    With this option, Texmaker will ask you if you want to jump to the xx line after loading the document.

-insert foo
    With this option, a latex command foo can be inserted by an external program to the current document while texmaker is running.

-n  With this option, a new instance of Texmaker is launched

-dpiscale x
    With this option, the environment variable QT_SCALE_FACTOR will be set to x before building the GUI.

See the user manuels under the 'Help' directory for documentation on the use and features for Texmaker.

FEATURES
Some of Texmaker's features are: An unicode editor to write your LaTeX source files (syntax highlighting, undo-redo, search-replace, ) The principal LaTex tags can be inserted directly with the LaTeX and Math menus 370 mathematical symbols can be inserted in just one click Wizards to generate code (Quick document, Quick letter, tabular, tabbing and array environments) LaTeX-related programs can be launched via the Tools menu The standard Bibtex entry types can be inserted in the .bib file with the Bibliography menu A structure view of the document for easier navigation of a document (by clicking on an item in the Structure frame, you can jump directly to the corresponding part of your document Extensive LaTeX documentation In the "Messages / Log File" frame, you can see information about processes and the logfile after a LaTeX compilation The "Next Latex Error" and "Previous Latex Error" commands let you reach the LaTeX errors detected in the log file By clicking on the number of a line in the log file, the cursor jumps to the corresponding line in the editor An integrated LaTeX to html conversion tool (for unix and macosx systems)

Web Page
https://www.xm1math.net/texmaker/

AUTHOR
Pascal Brachet <pbrachet@xm1math.net>